/*
 * Copyright 2002-2014 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springframework.test.context.env.subpackage;

import org.springframework.test.context.TestPropertySource;
import org.springframework.test.context.env.ExplicitPropertiesFileInClasspathTestPropertySourceTests;

/**
 * Integration tests for {@link TestPropertySource @TestPropertySource}
 * support with an inherited explicitly named properties file that is
 * referenced using a relative path within a parent package.
 *
 * @author Sam Brannen
 * @since 4.1
 */
class SubpackageInheritedRelativePathPropertiesFileTestPropertySourceTests extends
		ExplicitPropertiesFileInClasspathTestPropertySourceTests {

	/* all tests are in superclass */

}
