/**
 * Provides standard View and ViewResolver implementations,
 * including abstract base classes for custom implementations.
 *
 * <p>Application developers don't usually need to implement views,
 * as the framework provides standard views for JSPs, FreeMarker,
 * XSLT, etc. However, the ability to implement custom views easily
 * by subclassing the AbstractView class in this package can be
 * very helpful if an application has unusual view requirements.
 */
@NonNullApi
@NonNullFields
package org.springframework.web.servlet.view;

import org.springframework.lang.NonNullApi;
import org.springframework.lang.NonNullFields;
